Skip to content

Delete a Custom Object Instance by ID

Request

Delete a single Custom Object instance using the Intercom defined id.

Security
bearerAuth
Path
custom_object_instance_idstringrequired

The Intercom defined id of the custom object instance

custom_object_type_identifierstringrequired

The unique identifier of the custom object type that defines the structure of the custom object instance.

Example:Order
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X DELETE \
  'https://api.intercom.io/custom_object_instances/Order/{custom_object_instance_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
objectstring

The unique identifier of the Custom Object type that defines the structure of the Custom Object instance.

Example:"Order"
idstring

The Intercom defined id representing the Custom Object instance.

Example:"123"
deletedboolean

Whether the Custom Object instance is deleted or not.

Example:true
Response
{ "id": "26", "object": "Order", "deleted": true }